Bug report #11218

Erro de execução do código Python Traceback

Added by Bruno Fernandes over 5 years ago. Updated over 5 years ago.

Status:Closed
Priority:Normal
Assignee:-
Category:-
Affected QGIS version:2.4.0 Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:invalid
Crashes QGIS or corrupts data:Yes Copied to github as #:19528

Description

Olá,

Eu uso o QGis para manipular dados SRTM na empresa onde trabalho e ao me deparar com a necessidade de colocar
o projeto em 3D, para visualização, houve a seguinte mensagem:

------------------------------------------------------------------------------------------------------------------------------------
Um erro ocorreu enquanto executava o seguinte código Python

Traceback (most recent call last):
File "C:/Users/bruno/.qgis2/python/plugins\\openlayers_plugin\\openlayers_layer.py", line 134, in pageLoaded
self.setup_map()
File "C:/Users/bruno/.qgis2/python/plugins\\openlayers_plugin\\openlayers_layer.py", line 184, in setup_map
olSize = QSize(int(olWidth), int(olHeight))
OverflowError: cannot convert float infinity to integer

Versão do Python:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

Versão do QGIS
2.4.0-Chugiak Chugiak, 8fdd08a

Caminho para o Python: ['C:/PROGRA~1/QGISCH~1/apps/qgis/./python/plugins\\\\processing', 'C:/PROGRA~1/QGISCH~1/apps/qgis/./python', u'C:/Users/bruno/.qgis2/python', u'C:/Users/bruno/.qgis2/python/plugins', 'C:/PROGRA~1/QGISCH~1/apps/qgis/./python/plugins', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\bin', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlrd-0.9.2-py2.7.egg', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlwt-0.7.5-py2.7.egg', 'C:\\\\Users\\\\bruno\\\\.qgis2\\\\python\\\\plugins\\\\MetaSearch\\\\ext-libs', 'C:\\\\Users\\\\bruno\\\\.qgis2\\\\python\\\\plugins\\\\SelectTools/tools', 'C:\\\\PROGRA~1\\\\QGISCH~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']
------------------------------------------------------------------------------------------------------------------------------------
No caso, carreguei uma imagem Raster, uma carta SRTM, fui até WEB> OPEN LAYER PLUGIN> GOOGLE MAPS> GOOGLE SATELLITE
e o erro é quase imediato, não consigo abrir a visualização, para depois tranferir para 3d via QGIS2THREEJS
Configurações da maquina: Sistema operacional Windows 7; 64 bits; versão do QGis 2.4

Agradeço a ajuda e o suporte prestado,,

Bruno F.

PYTHON.png (234 KB) Bruno Fernandes, 2014-09-17 08:06 AM

History

#1 Updated by Giovanni Manghi over 5 years ago

  • Resolution set to invalid
  • Status changed from Open to Closed

Olá Bruno,

o tickets no QGIS bug tracker são para serem criados em Ingles.

O erro que está a relatar é de um plugin (Openlayers) e não do QGIS, portanto deverá ser relatado no bug tracker especifico desta ferramenta.

https://issues.qgis.org/projects/openlayers/issues

obrigado

Also available in: Atom PDF